Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.deegree.datatypes.parameter
Class GeneralOperationParameterIm

    java.lang.Object
      org.deegree.datatypes.parameter.GeneralOperationParameterIm

All Implemented Interfaces:
  Serializable

Direct Known Subclasses:
  OperationParameterIm

    public class GeneralOperationParameterIm

extends Object
implements Serializable

Version:
  $Revision: 18195 $, $Date: 2009-06-18 17:55:39 +0200 (Do, 18. Jun 2009) $
Author:
  Andreas Poth , last edited by: $Author: mschneider $
See Also:
  Serialized Form

Constructor Summary
`GeneralOperationParameterIm(String name, String remarks, int maximumOccurs, int minimumOccurs)`

Method Summary
`int` | `getMaximumOccurs()`
`int` | `getMinimumOccurs()`
`String` | `getName()`
`String` | `getRemarks()`
`void` | `setMaximumOccurs(int maximumOccurs)`
`void` | `setMinimumOccurs(int minimumOccurs)`
`void` | `setName(String name)`
`void` | `setRemarks(String remarks)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### GeneralOperationParameterIm

    public GeneralOperationParameterIm(String name,
                                       String remarks,
                                       int maximumOccurs,
                                       int minimumOccurs)

Parameters:
  `name` -
  `remarks` -
  `maximumOccurs` -
  `minimumOccurs` -

Method Detail

### getMaximumOccurs

    public int getMaximumOccurs()

  Returns:
    Returns the maximumOccurs.

### setMaximumOccurs

    public void setMaximumOccurs(int maximumOccurs)

  Parameters:
    `maximumOccurs` - The maximumOccurs to set.

### getMinimumOccurs

    public int getMinimumOccurs()

  Returns:
    Returns the minimumOccurs.

### setMinimumOccurs

    public void setMinimumOccurs(int minimumOccurs)

  Parameters:
    `minimumOccurs` - The minimumOccurs to set.

### getName

    public String getName()

  Returns:
    Returns the name.

### setName

    public void setName(String name)

  Parameters:
    `name` - The name to set.

### getRemarks

    public String getRemarks()

  Returns:
    Returns the remarks.

### setRemarks

    public void setRemarks(String remarks)

  Parameters:
    `remarks` - The remarks to set.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

an open source project founded by lat/lon, Bonn, Germany.
For more information visit: http://www.deegree.org